Skip to main content
Monitoring & Collection/Monitoring Query & Overview

GetProductView

Get aggregated product view including summary, top resources, and trends

GET/api/v1/monitoring/products/{productType}/view

Operation ID

GetProductView

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • productType
    StringRequired

    Product type to query (e.g. vm, host, storage)

Query Parameters

  • platformUuid
    String

    UUID of the target platform UUID of the target platform

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • productType
    String

    Product type this view applies to

    Example: vm

  • summaryJson
    String

    JSON-encoded summary statistics for this product view

    Example: {"total":100,"running":90}

  • topResources
    List

    Top resources

    Example: (nested array)

    • uuid
      String

      Unique identifier of the resource

      Example: vm-xyz-001

    • name
      String

      Display name of the resource

      Example: web-server-01

    • resourceType
      String

      Type of the resource (e.g. vm, host, volume)

      Example: vm

    • metricName
      String

      Metric name used for ranking

      Example: cpu_usage_percent

    • value
      Long

      Metric value for this resource

      Example: 87.3

    • unit
      String

      Unit of the metric value

      Example: %

  • trends
    List

    Trends for this resource

    Example: (nested array)

    • timestamp
      String

      Timestamp for this resource

      Example: 2026-01-15T08:00:00Z

    • value
      Long

      Metric value at this trend point

      Example: 72.5